<!DOCTYPE html>
<html lang="en-US">
	<head>
		<title>web</title>
		<meta charset="utf-8" />
		<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1"/>
		<link rel="stylesheet" href="style.css">
	</head>
	<body >
		<header>
			<div class="lambda">
				<img class="lambda-logo" src="logo.jpg" alt="Логотип">
				<div class="lambda-site"><strong>L A M B D A</strong></div>
			</div>
		</header>

		<p><a id="top"></a></p>

		<nav class="menu"> 
			<a href="#">Главная</a>
    		<a href="#">О нас</a>
   			<a href="#">Контакты</a>
		</nav>
		<div class="flexbox">
			<div class="hyperlink">
				<h1>Гиперссылки</h1>
				<ol>

					<li>
						<a href="http://ru.wikipedia.org/wiki/Заглавная_страница">
							http://ru.wikipedia.org/wiki/Заглавная_страница
						</a>
						 - абсолютная гиперссылка на главную страницу сайта
					</li>

					<li><a href="https://ru.wikipedia.org/wiki/Заглавная_страница">
							https://ru.wikipedia.org/wiki/Заглавная_страница </a>
						 - абсолютная гиперссылка на главную страницу в протоколе https
					</li>

					<li>
						<a href="ftp://speedtest.tele2.net/1GB.zip">
							ftp://speedtest.tele2.net/1GB.zip
						</a>
						 - ссылка на файл на сервере FTP без авторизации
					</li>

					<li>
						<a href="ftp://user:password@speedtest.tele2.net/1GB.zip">
							ftp://user:password@speedtest.tele2.net/1GB.zip
						</a>
						 - ссылка на файл на сервере FTP с авторизацией
					</li>

					<li>
						<a href="https://ru.wikipedia.org/wiki/Пушкин,_Александр_Сергеевич#Молодость">
							https://ru.wikipedia.org/wiki/Пушкин,_Александр_Сергеевич#Молодость
						</a>
						 - ссылка на фрагмент страницы некоторого сайта
					</li>

					<li>
						<a href="#top">
							Наверх
						</a>
						 - ссылка на фрагмент текущей страницы
					</li>

					<li>
						<a href="https://www.asos.com/women/shoes/boots/cat/?cid=6455&nlid=ww%7Cshoes%7Cshop%2Bby%2Bproduct%0A">
							https://www.asos.com/women/shoes/boots/cat/?cid=6455&nlid=ww|shoes|shop+by+product
						</a>
						 - ссылка с двумя параметрами в URL
					</li>

					<li>
						Навигация на сайте docs.ozon с подписями title
						<ul>
							<li><a href="https://docs.ozon.ru/common/moj-zakaz" title="Мой заказ">https://docs.ozon.ru/common/moj-zakaz</a></li>
							<li><a href="https://docs.ozon.ru/common/tovary" title="Товары">https://docs.ozon.ru/common/tovary</a></li>
							<li><a href="https://docs.ozon.ru/common/oplata" title="Оплата">https://docs.ozon.ru/common/oplata</a></li>
							<li><a href="https://docs.ozon.ru/common/dostavka" title="Доставка">https://docs.ozon.ru/common/dostavka</a></li>
							<li><a href="https://docs.ozon.ru/common/otmena-i-vozvrat-zakaza" title="Отмена и возврат заказа">https://docs.ozon.ru/common/otmena-i-vozvrat-zakaza</a></li>
							<li><a href="https://docs.ozon.ru/common/kupony-i-aktsii" title="Купоны и акции">https://docs.ozon.ru/common/kupony-i-aktsii</a></li>
							<li><a href="https://docs.ozon.ru/common/kontakty" title="Контакты">https://docs.ozon.ru/common/kontakty</a></li>
						</ul>
					</li>

					<li>
						<a title="Вы находитесь на первой странице">
						Назад
						</a>
						 - ссылка без href
					</li>

					<li>
						<a href="">Link</a>
						 - ссылка с пустым href
					</li>

					<li>
						<a href="http://ya.ru" rel=nofollow>http://ya.ru</a>
						 - ссылка, по которой запрещен переход поисковикам
					</li>

					<li>
						<a href="http://htmlbook.ru" rel=noindex>http://htmlbook.ru</a>
						 - ссылка, запрещенная для индексации поисковиками
					</li>

					<li>
						<p>Основанный в 2017 году сервис <a href="https://www.cameo.com">Cameo</a> предлагает пользователям приобрести видеооткрытку у знаменитости. Потерявшие былую известность актёры, не очень популярные спортсмены или неожиданно завирусившиеся блогеры сами устанавливают ставку за ролик — в среднем от пяти до 250 долларов.</p>
						 - контекстная ссылка в тексте абзаца
					</li>

					<li>
						<a href="https://www.google.com"><img src="https://media.lpgenerator.ru/uploads/2019/07/11/1.jpg" width="60" height="50" alt="Google"></a>
						 - ссылка-изображение
					</li>

					<li>
						<img src="img.png" width="200" height="209" alt="Знак" usemap="#figuri"> 
						<map name="figuri"> 
							<area shape = "circle" coords = "96,50,40" target="_blank" href = "https://www.google.com" alt = "Круг" > 
							<area shape = "rect" coords = "15,142,182,188" target="_blank" href = "https://www.google.com" alt = "Прямоугольник" > 
						</map> 
						 - ссылки из прямоугольных и круглых областей картинки (HTML-тег map)
					</li>

					<li>
						<a href="./news.html">./news.html</a>
						 - относительную на страницу в текущем каталоге
					</li>

					<li>
						<a href="about/page.html">about/page.html</a>
						относительную на страницу в каталоге about;
					</li>

					<li>
						<a href="../news.html">../news.html</a>
						 - относительная ссылка на страницу в каталоге уровнем выше текущего
					</li>

					<li>
						<a href="../../news.html">../../news.html</a>
						 - относительная ссылка на страницу в каталоге двумя уровнями выше
					</li>

					<li>
						<a href="web.html">web.html</a>
						 - сокращенная ссылка на главную
					</li>

					<li>
						<a href="form.html">form.html</a>
						 - сокращенная ссылка на внутреннюю
					</li>

				</ol>
			</div>

			<div class="table">
				<h1>Таблица</h1>
				<table>
					<tr>
						<th colspan="4">Результаты</th>
					</tr>
					<tr>
						<th>Фамилия</th>
						<th>Русский язык</th>
						<th>Профильная математика</th>
						<th>История</th>
					</tr>
					<tr>
						<td>Иванов Иван</td>
						<td>56</td>
						<td rowspan="2">База</td>
						<td>88</td>
					</tr>
					<tr>
						<td>Ложкин Олег</td>
						<td>92</td>
						<td>43</td>
					</tr>
					<tr>
						<td>Вилкин Сергей</td>
						<td>83</td>
						<td>63</td>
						<td>68</td>
					</tr>
					<tr>
						<td>Кастрюлькин Юрий</td>
						<td>28</td>
						<td>13</td>
						<td>35</td>
					</tr>
					<tr>
						<td>Тарелкин Александр</td>
						<td>100</td>
						<td>100</td>
						<td>100</td>
					</tr>
				</table>
			</div>

			<div class="form">
				<h1>Формы</h1>
				<label>
			        Имя:<br />
			        <input name="field-name-1"
			          value="введите ваше имя" />
			      </label><br />

			      <label>
			        e-mail (поле email):<br />
			        <input name="field-email"
			          value="test@example.com"
			          type="email" />
			      </label><br />

			      <label>
			        Дата рождения:<br />
			        <input name="field-date"
			          value="2001-12-18"
			          type="date" />
			      </label><br />

			      Пол:<br />
			      <label><input type="radio" checked="checked"
			        name="radio-group-1" value="Значение1" />
			        Женский</label>
			      <label><input type="radio"
			        name="radio-group-1" value="Значение2" />
			        Мужской</label><br />

			      Количество конечностей:<br />
			      <label><input type="radio" checked="checked"
			        name="radio-group-2" value="Значение1" />
			        Полный человеческий комплект</label>
			      <label><input type="radio"
			        name="radio-group-2" value="Значение2" />
			        Немного инопланетянин</label>
			      <label><input type="radio" checked="checked"
			        name="radio-group-2" value="Значение3" />
			        Для жизни хватает</label>
			      <label><input type="radio"
			        name="radio-group-2" value="Значение4" />
			    	Найти бы еще парочку рук</label>
			     <label><input type="radio"
			        name="radio-group-2" value="Значение5" />
			    	Бесконечностей</label><br />

			    	<label>
			        Сверхспособности:
			        <br />
			        <select name="field-name-4[]"
			          multiple="multiple">
			          <option value="Значение1">Кодить без багов</option>
			          <option value="Значение2" selected="selected">Читать мысли животных</option>
			          <option value="Значение3">Не спать(мечта студента =))</option>
			        </select>
			      </label><br />

			      <label>
			        Немного информации о Вас:<br />
			        <textarea name="field-name-2">Меня зовут...</textarea>
			      </label><br />

			      С контрактом ознакомлен:<br />
			      <label><input type="checkbox" checked="checked"
			        name="check-1" />
			        Подпись чекбокса ставим справа</label><br />

			      Кнопка отправки формы
			      <input type="submit" value="Отправить" />
			  </div>
			</div>

	      <footer>
	      	<div class="lambda">
	      		<p>Copyright © <time datetime="2020">2020</time> Black Mesa Research Facility</p>
	      		<address>New Mexico, USA.</address>
	      	</div>
	      </footer>

	</body>
</html>